From: "Anthony G. Basile" <blueness@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: mail-client/nail/
Date: Sat, 10 Oct 2015 23:49:29 +0000 (UTC) [thread overview]
Message-ID: <1444521306.51d6ba35065ddb6e91bf5011c6f835315d834337.blueness@gentoo> (raw)
commit: 51d6ba35065ddb6e91bf5011c6f835315d834337
Author: Anthony G. Basile <blueness <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 10 23:55:06 2015 +0000
Commit: Anthony G. Basile <blueness <AT> gentoo <DOT> org>
CommitDate: Sat Oct 10 23:55:06 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=51d6ba35
mail-client/nail: add libressl support
Package-Manager: portage-2.2.20.1
mail-client/nail/nail-12.4-r3.ebuild | 110 +++++++++++++++++++++++++++++++++++
1 file changed, 110 insertions(+)
diff --git a/mail-client/nail/nail-12.4-r3.ebuild b/mail-client/nail/nail-12.4-r3.ebuild
new file mode 100644
index 0000000..98b25cd
--- /dev/null
+++ b/mail-client/nail/nail-12.4-r3.ebuild
@@ -0,0 +1,110 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+inherit eutils toolchain-funcs
+
+HOMEPAGE="http://heirloom.sourceforge.net/"
+DESCRIPTION="an enhanced mailx-compatible mail client"
+LICENSE="BSD"
+
+MY_PN="mailx"
+MY_P="${MY_PN}-${PV}"
+SRC_URI="mirror://sourceforge/project/heirloom/heirloom-${MY_PN}/${PV}/${MY_P}.tar.bz2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-freebsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos"
+IUSE="libressl ssl net kerberos"
+
+RDEPEND="
+ net? (
+ ssl? (
+ !libressl? ( dev-libs/openssl:0 )
+ libressl? ( dev-libs/libressl )
+ )
+ kerberos? ( virtual/krb5 )
+ )
+ !mail-client/mailx
+ !net-mail/mailutils
+"
+DEPEND="${RDEPEND}"
+
+S=${WORKDIR}/${MY_P}
+
+undef() {
+ sed -i -e "/$1/s:#define:#undef:" config.h || die
+}
+
+droplib() {
+ sed -i -e "/$1/s:^:#:" LIBS || die
+}
+
+src_prepare() {
+ epatch "${FILESDIR}"/${P}-debian.patch \
+ "${FILESDIR}"/${P}-openssl-1.patch
+ # Do not strip the binary
+ sed -i -e '/STRIP/d' Makefile
+}
+
+src_configure() {
+ # Build config.h and LIBS, neccesary to tweak the config
+ # use -j1 because it will produce bogus output otherwise
+ emake -j1 config.h LIBS || die
+
+ # Logic to 'configure' the package
+
+ if ! use ssl || ! use net ; then
+ undef 'USE_\(OPEN\)\?SSL'
+ droplib -lssl
+ fi
+
+ if ! use kerberos || ! use net ; then
+ undef 'USE_GSSAPI'
+ droplib -lgssapi_krb5
+ fi
+
+ if ! use net ; then
+ undef 'HAVE_SOCKETS'
+ fi
+}
+
+src_compile() {
+ # No configure script to check for and set this
+ tc-export CC
+
+ emake \
+ CPPFLAGS="${CPPFLAGS} -D_GNU_SOURCE" \
+ PREFIX="${EPREFIX}"/usr SYSCONFDIR="${EPREFIX}"/etc \
+ SENDMAIL="${EPREFIX}/usr/sbin/sendmail" \
+ MAILSPOOL='/var/spool/mail' \
+ || die "emake failed"
+}
+
+src_install () {
+ # Use /usr/sbin/sendmail by default and provide an example
+ cat <<- EOSMTP >> nail.rc
+
+ # Use the local sendmail (/usr/sbin/sendmail) binary by default.
+ # (Uncomment the following line to use a SMTP server)
+ #set smtp=localhost
+
+ # Ask for CC: list too.
+ set askcc
+ EOSMTP
+
+ emake DESTDIR="${D}" \
+ UCBINSTALL=$(type -p install) \
+ PREFIX="${EPREFIX}"/usr SYSCONFDIR="${EPREFIX}"/etc install \
+ || die
+
+ dodoc AUTHORS README || die
+
+ dodir /bin
+ dosym ../usr/bin/mailx /bin/mail || die
+ dosym mailx /usr/bin/mail || die
+ dosym mailx /usr/bin/Mail || die
+
+ dosym mailx.1 /usr/share/man/man1/mail.1 || die
+ dosym mailx.1 /usr/share/man/man1/Mail.1 || die
+}
next reply other threads:[~2015-10-10 23:49 UTC|newest]
Thread overview: 6+ messages / expand[flat|nested] mbox.gz Atom feed top
2015-10-10 23:49 Anthony G. Basile [this message]
-- strict thread matches above, loose matches on Subject: below --
2016-04-20 15:14 [gentoo-commits] repo/gentoo:master commit in: mail-client/nail/ Ian Stakenvicius
2017-12-12 16:35 Thomas Deutschmann
2017-12-14 19:48 Sergei Trofimovich
2017-12-17 18:50 Mikle Kolyada
2017-12-17 18:51 Mikle Kolyada
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1444521306.51d6ba35065ddb6e91bf5011c6f835315d834337.blueness@gentoo \
--to=blueness@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox